Client Get Templated Output
curl --request POST \
--url https://agents-api.kolena.com/api/v1/client/agents/{agent_id}/runs/{run_id}/templated-output \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"output_template_id": 123
}
'import requests
url = "https://agents-api.kolena.com/api/v1/client/agents/{agent_id}/runs/{run_id}/templated-output"
payload = { "output_template_id": 123 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({output_template_id: 123})
};
fetch('https://agents-api.kolena.com/api/v1/client/agents/{agent_id}/runs/{run_id}/templated-output', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Agents
Download Agent Run Templated Output
Download an Agent Run into a Templated Output
Client Get Templated Output
Rate Limit: This endpoint is limited to requests per minute per user.
Authorizations
Bearer authentication header of the form Bearer <token>. The <token> represents your API key, which must be acquired from the Kolena platform.
Body
application/json
The ID of the output template to use.
The format to download the templated output in. For Word templates, docx and pdf are allowed. For Excel templates, xlsx, xlsm, and csv are allowed. Note: csv will export the first worksheet of the Excel template only.
Available options:
pdf, docx, xlsx, xlsm, csv Response
Returns the templated output file for download
The response is of type file.
Was this page helpful?
⌘I
